classification
Title: PEP 8 refers to reference to PEP 8
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2012-10-25 17:32 by serhiy.storchaka, last changed 2012-10-27 21:36 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue16325.diff ezio.melotti, 2012-10-25 18:03
Messages (7)
msg173773 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-25 17:32
PEP 8 refers to Guido's original Python Style Guide essay (http://www.python.org/doc/essays/styleguide.html), but the essay was removed, only link to PEP 8 (and PEP 257) left.
msg173774 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-25 17:35
The link might still be OK, otherwise we could copy the note directly in the PEP.
msg173781 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-25 17:57
I think there is no sense to refer to removed document. If Guido's original essay saved somewhere, than PEP 8 should refer to this copy. Otherwise meaningless link should be removed.
msg173782 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-25 18:03
Do you think something like the attached patch would be OK?
msg173786 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-25 18:16
LGTM, but I'm not well competent to assess these changes.
msg173873 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-10-26 18:17
"Where there's conflict, Guido's style rules for the purposes of this PEP." I think this sentence should go. The only way that I can make sense of it is that Guido's and Barry's documents have rules that are not in PEP 8 and that if they conflict, Guido's wins. (Sort of incorporation by reference.) But if Guido's does not exist, then that also makes sense. In any case, PEP8 should say everything we want it to say without reference to other docs.

"This PEP may still be incomplete (in fact, it may never be finished
 <wink>)" This should either be deleted or modified. "This PEP is subject to modification." or "This PEP will always be subject to modification." is sufficient.
msg173981 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-10-27 21:36
I applied the patch and removed the two sentences: http://hg.python.org/peps/rev/be77365934e7
History
Date User Action Args
2012-10-27 21:36:26ezio.melottisetstatus: open -> closed
type: behavior -> enhancement
messages: + msg173981

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: patch review -> resolved
2012-10-26 18:17:27terry.reedysetnosy: + terry.reedy
messages: + msg173873
2012-10-25 18:16:44serhiy.storchakasetmessages: + msg173786
2012-10-25 18:03:22ezio.melottisetfiles: + issue16325.diff
keywords: + patch
messages: + msg173782

stage: patch review
2012-10-25 17:57:06serhiy.storchakasetmessages: + msg173781
2012-10-25 17:35:43ezio.melottisetnosy: + ezio.melotti
messages: + msg173774
2012-10-25 17:32:47serhiy.storchakacreate